GeoSymAttExpression.Connector (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Class GeoSymAttExpression.Connector

    java.lang.Object
      com.bbn.openmap.layer.vpf.GeoSymAttExpression.Connector

All Implemented Interfaces:
  GeoSymAttExpression.Expression

Enclosing class:
  GeoSymAttExpression

    public static class GeoSymAttExpression.Connector

extends java.lang.Object
implements GeoSymAttExpression.Expression

Connector class is the part of the expression that contains the logic operation, AND, OR, and and or.

Author:
  dietrick

Constructor Summary
`GeoSymAttExpression.Connector(int op, int sLoc)`

Method Summary
`void` | `addExpr(GeoSymAttExpression.Expression expr)`
`boolean` | `evaluate(FeatureClassInfo fci, int row, java.lang.StringBuffer reasoning)`
`boolean` | `evaluate(FeatureClassInfo fci, java.util.List<java.lang.Object> row, java.lang.StringBuffer reasoning)`
`java.lang.String` | `getRightSide(java.lang.String source)`
`java.lang.String` | `toString()`
`protected void` | `updateColumnNamesIfNeeded()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GeoSymAttExpression.Connector

    public GeoSymAttExpression.Connector(int op,
                                         int sLoc)

Method Detail

### addExpr

    public void addExpr(GeoSymAttExpression.Expression expr)

### updateColumnNamesIfNeeded

    protected void updateColumnNamesIfNeeded()

### getRightSide

    public java.lang.String getRightSide(java.lang.String source)

### evaluate

    public boolean evaluate(FeatureClassInfo fci,
                            int row,
                            java.lang.StringBuffer reasoning)

  Specified by:
    `evaluate` in interface `GeoSymAttExpression.Expression`

### evaluate

    public boolean evaluate(FeatureClassInfo fci,
                            java.util.List<java.lang.Object> row,
                            java.lang.StringBuffer reasoning)

  Specified by:
    `evaluate` in interface `GeoSymAttExpression.Expression`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details